diff bin/google @ 9075:c989a1669243

<fizzie> revert 58b9ee8f97a7
author HackBot
date Sun, 25 Sep 2016 20:31:46 +0000
parents e037173e0012
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/google	Sun Sep 25 20:31:46 2016 +0000
@@ -0,0 +1,13 @@
+#!/bin/bash
+if [ ! "$1" ]
+then
+    echo 'Google what?'
+    exit 1
+fi
+
+QUERY=`echo -n "$1" | od -t x1 -A n -w1000 | tr " " %`
+
+lynx --cfg=/dev/null --lss=/dev/null \
+     --dump --width=1000 'http://google.com/search?q='"$QUERY" |
+    grep -A 4 'Search Results' |
+    tail -n 2